Package: groovy.org.codenarc.util

## [Groovy] Class PropertyUtil

- groovy.org.codenarc.util.PropertyUtil

- Contains property-related static utility methods

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `setPropertyFromString(Object object, String propertyName, String propertyValue)` Set the value of the named property on the specified Object from a String value.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### static void setPropertyFromString(Object object, String propertyName, String propertyValue)

      Set the value of the named property on the specified Object from a String value. If the name specifies an int, long or boolean value then trim and parse the provided String value and convert to the appropriate type.

      throws:
        NoSuchFieldException - if the object does not contain the named field
      Parameters:
        `object` - - the Object whose field should be set
        `name` - - the property name to set
        `value` - - the property value as a String